Subject: Re: Job | Tech Support Remote Screening
From: Kirandeep kaur <[email-masked]>
To: [email-masked]
Date: Fri, 15 Jan 2021 15:35:17 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

3595 Applicants

View All

Kirandeep kaur
I work as a client support Specialist in Watermark Pvt Ltd. I am a graduate from Panjab university in bachelor's of commerce. I am a hard worker who is always willing to work efficiently for achieving the growth and success in the corporate field

Shortlist

Reject

Current Designation Client Support Specialist
Current Company watermark pvt ltd
Notice Period 2 Months
Previous Designation Business Analyst
Previous Company eClerx

Contact Details
Mobile:

Exp
5 Yrs 9 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Noida, Gurgaon, Delhi / NCR
Education
Other
Panjab University
B.Com
Panjab University
Key Skills
typing, technical support, analytics

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem